[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.FindNonDesignerForm

Finds the form with the specified name, excluding designer forms.

## Declaration

Source position: forms.pp line 1226

`public function TScreen.FindNonDesignerForm(`
`const FormName: string`
`):TCustomForm;`

## Arguments

`FormName` |  | Name of the form to locate in the method.

## Function result

Application form instance in CustomForms with the specified name, or Nil.

## Description

Used when an Application loads its components using the LCL streaming mechanism. Ignores the designer forms and data modules (where ComponentState contains csDesigning) handled by the Lazarus IDE.

## See also

TScreen.FindForm |  | Finds a form on the screen by its name.